openapi: 3.0.0
security: 
  - BearerAuth: []

components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

tags:
  - name: PrivacyPolicy
    description: API endpoints for managing privacy policy

paths:
  /api/privacy-policy:
    get:
      summary: Get all privacy policy
      tags: [PrivacyPolicy]
      security:
        - BearerAuth: []
      responses:
        200:
          description: A list of privacy policy
    post:
      summary: Create a new privacy policy
      tags: [PrivacyPolicy]
      security:
        - BearerAuth: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                content:
                  type: string
                  description: The content of the privacy policy
                  example: "These are the privacy policy for the use of the service"
      responses:
        200:
          description: The privacy policy has been created successfully
        400:
          description: Failed to create the privacy policy
        401:
          description: Unauthorized
        403:
          description: Forbidden
        404: